Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Events Interface Reference

`import "CCM_Event.idl";`

Inheritance diagram for Components::Events:

[legend]
List of all members.

## Public Methods
EventConsumerBase | get_consumer (in FeatureName sink_name) raises (InvalidName)
Cookie | subscribe (in FeatureName publisher_name, in EventConsumerBase subscriber) raises (InvalidName, AlreadyConnected, InvalidConnection, ExceededConnectionLimit)
EventConsumerBase | unsubscribe (in FeatureName publisher_name, in Cookie ck) raises (InvalidName, InvalidConnection)
void | connect_consumer (in FeatureName emitter_name, in EventConsumerBase consumer) raises (InvalidName, AlreadyConnected, InvalidConnection)
EventConsumerBase | disconnect_consumer (in FeatureName source_name) raises (InvalidName, NoConnection)
ConsumerDescriptions | get_all_consumers ()
ConsumerDescriptions | get_named_consumers (in NameList names) raises (InvalidName)
EmitterDescriptions | get_all_emitters ()
EmitterDescriptions | get_named_emitters (in NameList names) raises (InvalidName)
PublisherDescriptions | get_all_publishers ()
PublisherDescriptions | get_named_publishers (in NameList names) raises (InvalidName)
EventConsumerBase | get_consumer (in FeatureName sink_name) raises (InvalidName)
Cookie | subscribe (in FeatureName publisher_name, in EventConsumerBase subscriber) raises (InvalidName, AlreadyConnected, InvalidConnection, ExceededConnectionLimit)
EventConsumerBase | unsubscribe (in FeatureName publisher_name, in Cookie ck) raises (InvalidName, InvalidConnection)
void | connect_consumer (in FeatureName emitter_name, in EventConsumerBase consumer) raises (InvalidName, AlreadyConnected, InvalidConnection)
EventConsumerBase | disconnect_consumer (in FeatureName source_name) raises (InvalidName, NoConnection)
ConsumerDescriptions | get_all_consumers ()
ConsumerDescriptions | get_named_consumers (in NameList names) raises (InvalidName)
EmitterDescriptions | get_all_emitters ()
EmitterDescriptions | get_named_emitters (in NameList names) raises (InvalidName)
PublisherDescriptions | get_all_publishers ()
PublisherDescriptions | get_named_publishers (in NameList names) raises (InvalidName)

## Member Function Documentation

void Components::Events::connect_consumer | ( | in FeatureName | emitter_name,
|  | in EventConsumerBase | consumer
| ) | raises (InvalidName, AlreadyConnected, InvalidConnection)

void Components::Events::connect_consumer | ( | in FeatureName | emitter_name,
|  | in EventConsumerBase | consumer
| ) | raises (InvalidName, AlreadyConnected, InvalidConnection)

EventConsumerBase Components::Events::disconnect_consumer | ( | in FeatureName | source_name | ) | raises (InvalidName, NoConnection)

EventConsumerBase Components::Events::disconnect_consumer | ( | in FeatureName | source_name | ) | raises (InvalidName, NoConnection)

ConsumerDescriptions Components::Events::get_all_consumers | ( |  | ) |

ConsumerDescriptions Components::Events::get_all_consumers | ( |  | ) |

EmitterDescriptions Components::Events::get_all_emitters | ( |  | ) |

EmitterDescriptions Components::Events::get_all_emitters | ( |  | ) |

PublisherDescriptions Components::Events::get_all_publishers | ( |  | ) |

PublisherDescriptions Components::Events::get_all_publishers | ( |  | ) |

EventConsumerBase Components::Events::get_consumer | ( | in FeatureName | sink_name | ) | raises (InvalidName)

EventConsumerBase Components::Events::get_consumer | ( | in FeatureName | sink_name | ) | raises (InvalidName)

ConsumerDescriptions Components::Events::get_named_consumers | ( | in NameList | names | ) | raises (InvalidName)

ConsumerDescriptions Components::Events::get_named_consumers | ( | in NameList | names | ) | raises (InvalidName)

EmitterDescriptions Components::Events::get_named_emitters | ( | in NameList | names | ) | raises (InvalidName)

EmitterDescriptions Components::Events::get_named_emitters | ( | in NameList | names | ) | raises (InvalidName)

PublisherDescriptions Components::Events::get_named_publishers | ( | in NameList | names | ) | raises (InvalidName)

PublisherDescriptions Components::Events::get_named_publishers | ( | in NameList | names | ) | raises (InvalidName)

Cookie Components::Events::subscribe | ( | in FeatureName | publisher_name,
|  | in EventConsumerBase | subscriber
| ) | raises (InvalidName, AlreadyConnected, InvalidConnection, ExceededConnectionLimit)

Cookie Components::Events::subscribe | ( | in FeatureName | publisher_name,
|  | in EventConsumerBase | subscriber
| ) | raises (InvalidName, AlreadyConnected, InvalidConnection, ExceededConnectionLimit)

EventConsumerBase Components::Events::unsubscribe | ( | in FeatureName | publisher_name,
|  | in Cookie | ck
| ) | raises (InvalidName, InvalidConnection)

EventConsumerBase Components::Events::unsubscribe | ( | in FeatureName | publisher_name,
|  | in Cookie | ck
| ) | raises (InvalidName, InvalidConnection)

The documentation for this interface was generated from the following files:

- CCM_Event.idl
- Component_Base.idl